package com.goafanti.common.model;

import java.util.Date;

public class CopyrightInfo extends BaseModel {
	/**
	 * 
	 */
	private static final long	serialVersionUID	= 1L;

	/**
	 * 用户主键
	 */
	private String				uid;

	/**
	 * 合同ID
	 */
	private String				contractId;

	/**
	 * 编号
	 */
	private Integer				serialNumber;

	/**
	 * 创建时间
	 */
	private Date				createTime;

	/**
	 * 受理时间
	 */
	private Date				acceptTime;

	/**
	 * 负责人
	 */
	private String				principal;

	/**
	 * 联系人
	 */
	private Integer				contact;

	/**
	 * 软著简介
	 */
	private String				copyrightInfo;

	/**
	 * 软著名字
	 */
	private String				copyrightName;

	/**
	 * 申请状态
	 */
	private Integer				status;

	/**
	 * 派单信息
	 */
	private String				workIssue;

	/**
	 * 备注
	 */
	private String				comment;

	/**
	 * 外包公司
	 */
	private String				outsource;

	/**
	 * 加急天数
	 */
	private Integer				inUrgent;

	/**
	 * 下证日
	 */
	private Date				authorizedDate;

	/**
	 * 证书附件地址
	 */
	private String				certificateUrl;

	/**
	 * 申请书附件地址
	 */
	private String				applicationUrl;

	/**
	 * 删除标记
	 */
	private Integer				deleteSign;

	/**
	 * 申请号
	 */
	private String				copyrightNumber;

	/**
	 * 申请创建人
	 */
	private String				founder;

	public String getFounder() {
		return founder;
	}

	public void setFounder(String founder) {
		this.founder = founder;
	}

	public String getUid() {
		return uid;
	}

	public void setUid(String uid) {
		this.uid = uid;
	}

	public String getContractId() {
		return contractId;
	}

	public void setContractId(String contractId) {
		this.contractId = contractId;
	}

	public Integer getSerialNumber() {
		return serialNumber;
	}

	public void setSerialNumber(Integer serialNumber) {
		this.serialNumber = serialNumber;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getAcceptTime() {
		return acceptTime;
	}

	public void setAcceptTime(Date acceptTime) {
		this.acceptTime = acceptTime;
	}

	public String getPrincipal() {
		return principal;
	}

	public void setPrincipal(String principal) {
		this.principal = principal;
	}

	public Integer getContact() {
		return contact;
	}

	public void setContact(Integer contact) {
		this.contact = contact;
	}

	public String getCopyrightInfo() {
		return copyrightInfo;
	}

	public void setCopyrightInfo(String copyrightInfo) {
		this.copyrightInfo = copyrightInfo;
	}

	public String getCopyrightName() {
		return copyrightName;
	}

	public void setCopyrightName(String copyrightName) {
		this.copyrightName = copyrightName;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public String getWorkIssue() {
		return workIssue;
	}

	public void setWorkIssue(String workIssue) {
		this.workIssue = workIssue;
	}

	public String getComment() {
		return comment;
	}

	public void setComment(String comment) {
		this.comment = comment;
	}

	public String getOutsource() {
		return outsource;
	}

	public void setOutsource(String outsource) {
		this.outsource = outsource;
	}

	public Integer getInUrgent() {
		return inUrgent;
	}

	public void setInUrgent(Integer inUrgent) {
		this.inUrgent = inUrgent;
	}

	public Date getAuthorizedDate() {
		return authorizedDate;
	}

	public void setAuthorizedDate(Date authorizedDate) {
		this.authorizedDate = authorizedDate;
	}

	public String getCertificateUrl() {
		return certificateUrl;
	}

	public void setCertificateUrl(String certificateUrl) {
		this.certificateUrl = certificateUrl;
	}

	public String getApplicationUrl() {
		return applicationUrl;
	}

	public void setApplicationUrl(String applicationUrl) {
		this.applicationUrl = applicationUrl;
	}

	public Integer getDeleteSign() {
		return deleteSign;
	}

	public void setDeleteSign(Integer deleteSign) {
		this.deleteSign = deleteSign;
	}

	public String getCopyrightNumber() {
		return copyrightNumber;
	}

	public void setCopyrightNumber(String copyrightNumber) {
		this.copyrightNumber = copyrightNumber;
	}
}